#
# Conditional build:
%bcond_with	tests	# perform "make test" (runs xmms)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Xmms
%define		pnam	Perl
Summary:	Perl modules for interaction with XMMS
Summary(pl.UTF-8):	Moduły Perla pozwalające na interakcję z XMMS-em
Name:		perl-Xmms
Version:	0.12
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Xmms/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d1fbf6d09330f7855dd80f3ceee8e6f7
URL:		http://search.cpan.org/dist/Xmms-Perl/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides Perl modules for interaction with popular XMMS
player. Most important ones are: Xmms, which provides shell-like
interface to XMMS and Xmms::Remote, which is Perl interface to
xmms_remote API.

%description -l pl.UTF-8
Pakiet zawiera moduły Perla pozwalające na interakcję z popularnym
odtwarzaczem XMMS. Najważniejsze z tych modułów to: Xmms, który
umożliwia sterowanie XMMS-em przez interfejs przypominający powłokę
i Xmms::Remote, który jest interfejsem perlowym do udostępnianego
przez XMMS-a API xmms_remote.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Xmms.pm
%{perl_vendorarch}/Xmms
%dir %{perl_vendorarch}/auto/Xmms
%dir %{perl_vendorarch}/auto/Xmms/SongChange
%{perl_vendorarch}/auto/Xmms/SongChange/SongChange.so
%dir %{perl_vendorarch}/auto/Xmms/Remote
%{perl_vendorarch}/auto/Xmms/Remote/Remote.so
%dir %{perl_vendorarch}/auto/Xmms/Config
%{perl_vendorarch}/auto/Xmms/Config/Config.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Xmms.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c0cee33
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4507469
- release 4

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 17d618e
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b56c7ae
- rel 3

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> e5c924d
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c991a03
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ed5c5ab
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f169eda
- formatting

* Sat Oct 30 2004 paladine <paladine@pld-linux.org> e67fe5c
- unification, capitalization, pl fixes

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 8918fb2
- spelling fixes, uppercases, etc.

* Sat Jun 05 2004 radek <radek@pld-linux.org> 2023c72
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> e5536c4
- fixed perl-devel BR

* Tue May 04 2004 ankry <ankry@pld-linux.org> c616693
- cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> e17076e
- cosmetics, unification, license fixes

* Sat Mar 13 2004 eothane <eothane@pld-linux.org> f767865
- new bcond style; some cosmetics here and there; changelog cleanups

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 497f0e5
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 683da0f
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 0e2b7ea
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 3cf2541
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> fe3d6d6
- should be ready for perl-5.8.0; release++

